import numpy as np
import scipy
from scipy.sparse.linalg import eigsh
# from scipy.optimize import bisect
import matplotlib.pyplot as plt
import time
from scipy.linalg import lapack


def compute_precision(arr1, arr2):
    '''
    What fraction of elements in arr1 are in arr2
    '''
    if len(arr1) == 0: return 0
    return len(set(arr1).intersection(set(arr2))) / len(arr1)

def compute_recall(arr1, arr2):
    '''
    Compute recall: fraction of elements in arr2 present in arr1
    '''
    if len(arr2) == 0: return 1
    return len(set(arr1).intersection(set(arr2))) / len(arr2)

